DROP TABLE IF EXISTS ROBOT_STATUS;
DROP TABLE IF EXISTS CURRRENT_REPORT;
DROP TABLE IF EXISTS REPORT_HISTORY;

CREATE TABLE ROBOT_STATUS (
  ID INT AUTO_INCREMENT  PRIMARY KEY,
  ORIGIN VARCHAR(250),
  ORIGIN_LAT_LNG VARCHAR(250),
  DESTINATION VARCHAR(250),
  DESTINATION_LAT_LNG VARCHAR(250),
  METERS_FROM_ORIGIN INT,
  PM INT,
  TIME TIMESTAMP
);

CREATE TABLE CURRRENT_REPORT (
  ID INT AUTO_INCREMENT  PRIMARY KEY,
  LATITUDE DOUBLE,
  LONGITUDE DOUBLE,
  METERS_FROM_ORIGIN INT,
  PM INT,
  TIME TIMESTAMP,
  SOURCE VARCHAR(250)
);

CREATE TABLE REPORT_HISTORY (
  ID INT AUTO_INCREMENT  PRIMARY KEY,
  INSERTION_DATE TIMESTAMP DEFAULT(CURRENT_TIMESTAMP()),
  LATITUDE DOUBLE,
  LONGITUDE DOUBLE,
  METERS_FROM_ORIGIN INT,
  PM INT,
  TIME LONG,
  SOURCE VARCHAR(250)
);


